SEND(2)

NAME
send - send a message through a socket

SYNOPSIS
#include <sys/socket.h>
ssize_t send(int sd, const void * msg, size_t msg_len, int flags);

DESCRIPTION
send() sends a message to another socket. It may only be used with connected sockets. At present, minix doesn't support setting flags to any value other than 0.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[ENOTCONN]
    The socket is not connected; there is no peer.

[EFAULT]
    The message pointed to by msg is not in a valid part of the process address space.

[EAFNOSUPPORT]
    The address family is not supported by send().

[EPIPE]
    The socket is shutdown for writing.

[EMSGSIZE]
    The message is too big.

SEE ALSO
socket(2) sendto(2) recv(2) recvfrom(2)